/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(ACTIONDIALOG_H)

#define ACTIONDIALOG_H

#include "ui_ActionDialogBase.h"

#include <QDialog>

class Hotkey;
class Action;
class QRadioButton;
class QButtonGroup;
class ServerConfig;

class ActionDialog : public QDialog, public Ui::ActionDialogBase
{
	Q_OBJECT

	public:
		ActionDialog(QWidget* parent, ServerConfig& config, Hotkey& hotkey, Action& action);

	protected slots:
		void accept();
		void on_m_pKeySequenceWidgetHotkey_keySequenceChanged();
		void updateEnabled(int = 0);

	protected:
		const KeySequenceWidget* sequenceWidget() const { return m_pKeySequenceWidgetHotkey; }
		const ServerConfig& serverConfig() const { return m_ServerConfig; }

	private:
		const ServerConfig& m_ServerConfig;
		Hotkey& m_Hotkey;
		Action& m_Action;

		QButtonGroup* m_pButtonGroupType;
};

#endif
