/***************************************************************************
 *   Copyright (C) 2008, 2010 by Volker Lanz <vl@fidra.de>                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(KEYSEQUENCE_H)

#define KEYSEQUENCE_H

#include <QList>

class QSettings;
class QString;

class KeySequence
{
	public:
		KeySequence();

	public:
		QString toString() const;
		bool appendKey(int modifiers, int key);
		bool appendMouseButton(int button);
		bool isMouseButton() const;
		bool valid() const { return m_IsValid; }
		int modifiers() const { return m_Modifiers; }
		void saveSettings(QSettings& settings) const;
		void loadSettings(QSettings& settings);

	private:
		void setValid(bool b) { m_IsValid = b; }
		void setModifiers(int i) { m_Modifiers = i; }
		const QList<int>& sequence() const { return m_Sequence; }
		QList<int>& sequence() { return m_Sequence; }

	private:
		QList<int> m_Sequence;
		int m_Modifiers;
		bool m_IsValid;
};

#endif

