/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "LogDialog.h"

#include <QProcess>
#include <QString>

LogDialog::LogDialog (QWidget* parent, QProcess*& synergy) :
	QDialog (parent, Qt::WindowTitleHint | Qt::WindowSystemMenuHint),
	Ui::LogDialogBase(),
	m_pSynergy(synergy)
{
	setupUi(this);
}

void LogDialog::append(const QString& s)
{
	m_pLogOutput->append(s);
}

void LogDialog::readSynergyOutput()
{
	if (m_pSynergy)
	{
		QByteArray log;
		log += m_pSynergy->readAllStandardOutput();
		log += m_pSynergy->readAllStandardError();

		append(QString(log));
	}
}

