/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "NewScreenWidget.h"
#include "ScreenSetupModel.h"

#include <QByteArray>
#include <QDataStream>
#include <QMimeData>
#include <QDrag>
#include <QMouseEvent>

NewScreenWidget::NewScreenWidget(QWidget* parent) :
	QLabel(parent)
{
}

void NewScreenWidget::mousePressEvent(QMouseEvent* event)
{
	Screen newScreen(tr("Unnamed"));

	QByteArray itemData;
	QDataStream dataStream(&itemData, QIODevice::WriteOnly);
	dataStream << -1 << -1 << newScreen;

	QMimeData* pMimeData = new QMimeData;
	pMimeData->setData(ScreenSetupModel::mimeType(), itemData);

	QDrag* pDrag = new QDrag(this);
	pDrag->setMimeData(pMimeData);
	pDrag->setPixmap(*pixmap());
	pDrag->setHotSpot(event->pos());

	pDrag->exec(Qt::CopyAction, Qt::CopyAction);
}

