/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(SCREENSETTINGSDIALOG__H)

#define SCREENSETTINGSDIALOG__H

#include "ui_ScreenSettingsDialogBase.h"

#include <QDialog>

class QWidget;
class QString;

class Screen;

class ScreenSettingsDialog : public QDialog, public Ui::ScreenSettingsDialogBase
{
	Q_OBJECT

	public:
		explicit ScreenSettingsDialog(QWidget* parent, Screen* pScreen = NULL);

	public slots:
		void accept();

	private slots:
		void on_m_pButtonAddAlias_clicked();
		void on_m_pButtonRemoveAlias_clicked();
		void on_m_pLineEditAlias_textChanged(const QString& text);
		void on_m_pListAliases_itemSelectionChanged();

	private:
		Screen* m_pScreen;
};

#endif

