/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(SCREENSETUPVIEW__H)

#define SCREENSETUPVIEW__H

#include "Screen.h"

#include <QTableView>

class QWidget;
class QMouseEvent;
class QResizeEvent;
class QDragEnterEvent;
class QDragMoveEvent;

class ScreenSetupModel;

class ScreenSetupView : public QTableView
{
	Q_OBJECT

	public:
		ScreenSetupView(QWidget* parent);

	public:
		void setModel(ScreenSetupModel* model);
		ScreenSetupModel* model() const;

	protected:
		void mouseDoubleClickEvent(QMouseEvent*);
		void setTableSize();
		void resizeEvent(QResizeEvent*);
		void dragEnterEvent(QDragEnterEvent* event);
		void dragMoveEvent(QDragMoveEvent* event);
		void startDrag(Qt::DropActions supportedActions);
		QStyleOptionViewItem viewOptions() const;
		void scrollTo(const QModelIndex&, ScrollHint) {}
};

#endif

