/***************************************************************************
 *   Copyright (C) 2008 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "QSynergyApplication.h"
#include "MainWindow.h"

#include <QCoreApplication>
#include <QApplication>
#include <QTranslator>
#include <QMessageBox>
#include <QLocale>
#include <QLibraryInfo>
#include <QDebug>

int main(int argc, char* argv[])
{
	QCoreApplication::setOrganizationName("Fidra");
	QCoreApplication::setOrganizationDomain("www.fidra.de");
	QCoreApplication::setApplicationName("QSynergy");

	QSynergyApplication app(argc, argv);

#if !defined(Q_OS_MAC)
	if (!QSystemTrayIcon::isSystemTrayAvailable())
	{
		QMessageBox::critical(NULL, "QSynergy", QObject::tr("There doesn't seem to be a system tray available. Quitting."));
		return -1;
	}

	QApplication::setQuitOnLastWindowClosed(false);
#endif

	QTranslator qtTranslator;
	if (qtTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath))
		   || qtTranslator.load(":res/lang/qt_" + QLocale::system().name()))
		app.installTranslator(&qtTranslator);
	else
		qDebug() << "loading Qt translations for locale " << QLocale::system().name() << " failed.";

	QTranslator myappTranslator;
	if (myappTranslator.load("res/lang/QSynergy_" + QLocale::system().name()))
		app.installTranslator(&myappTranslator);

	MainWindow mainWindow(NULL);
	return app.exec();
}

